Bug 1623574 - unable to add disk to vm via rest-api vm reconfiguration on vmware [request backport from existing commit]
Summary: unable to add disk to vm via rest-api vm reconfiguration on vmware [request b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.2
Hardware: x86_64
OS: Linux
high
low
Target Milestone: GA
: 5.8.5
Assignee: Gregg Tanzillo
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On: 1618517
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 16:16 UTC by Satoe Imaishi
Modified: 2018-09-26 18:37 UTC (History)
5 users (show)

Fixed In Version: 5.8.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1618517
Environment:
Last Closed: 2018-09-26 18:36:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2745 None None None 2018-09-26 18:37:16 UTC

Comment 2 CFME Bot 2018-09-04 17:56:26 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/d2e16459393bdd1db0b4533a42c39bf12f6f88dd
commit d2e16459393bdd1db0b4533a42c39bf12f6f88dd
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Feb 13 10:13:40 2018 -0500
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Tue Feb 13 10:13:40 2018 -0500

    Merge pull request #312 from jntullo/deep_symbolize_request

    Deep symbolize keys when parsing options
    (cherry picked from commit 4e7edaad50c50b266858ec071f0cc60ad127feec)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1623574

 lib/services/api/request_parser.rb | 2 +-
 spec/lib/services/api/request_parser_spec.rb | 6 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

Comment 3 Kedar Kulkarni 2018-09-13 16:34:35 UTC
With API Payload like : 

{
    "action": "create",
    "options": {
        "src_ids": [
            "7"
        ],
        "request_type": "vm_reconfigure",
        "disk_add": [
            {
                "disk_size_in_mb": 2048,
                "sync": true,
                "datastore": "Datastore_1",
                "persistent": true,
                "thin_provisioned": false,
                "dependent": true,
                "bootable": false
            }
        ]
    },
    "auto_approve": false
}

to API : https://{{ appliance_ip  }}/api/requests


I was able to reconfigure VM to create a new disk and attach to the VM by vm_id.

Comment 5 errata-xmlrpc 2018-09-26 18:36:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2745


Note You need to log in before you can comment on or make changes to this bug.